Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 990815 - Review Request: x2godesktopsharing - Share X2go desktops with other users
Summary: Review Request: x2godesktopsharing - Share X2go desktops with other users
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 969220
Blocks: 998551
TreeView+ depends on / blocked
 
Reported: 2013-08-01 04:11 UTC by Orion Poplawski
Modified: 2013-10-19 21:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-31 04:17:30 UTC
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Orion Poplawski 2013-08-01 04:11:17 UTC
Spec URL: http://www.cora.nwra.com/~orion/fedora/nx/x2godesktopsharing.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/nx/x2godesktopsharing-3.1.1.0-1.fc19.src.rpm
Description: 
x2godesktopsharing is an X2go add-on tool that allows a user to grant other X2go users
access to the current session (shadow session support).


Fedora Account System Username: orion

Comment 1 Christopher Meng 2013-08-01 04:15:44 UTC
1. "install -p" the icons.

2. Update icon cache script is missing

Comment 2 Orion Poplawski 2013-08-01 19:59:36 UTC
Spec URL: http://www.cora.nwra.com/~orion/fedora/nx/x2godesktopsharing.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/nx/x2godesktopsharing-3.1.1.0-2.fc19.src.rpm

* Thu Aug 1 2013 Orion Poplawski <orion@cora.nwra.com> - 3.1.1.0-2
- Create x2godesktopsharing group
- Preserve timestamps on install
- Update icon cache

Comment 3 Christopher Meng 2013-08-02 03:37:58 UTC
E: description-line-too-long C x2godesktopsharing is an X2Go add-on tool that allows a user to grant other X2Go users
x2godesktopsharing.i686: E: non-standard-executable-perm /usr/bin/x2godesktopsharing 0775L
x2godesktopsharing.i686: E: incorrect-fsf-address /usr/share/doc/x2godesktopsharing/COPYING
x2godesktopsharing.i686: W: desktopfile-without-binary /usr/share/applications/x2godesktopsharing.desktop /usr/bin/x2godesktopsharing(See E#1)

Once fixed, this will get approved.

Comment 4 Orion Poplawski 2013-08-02 04:30:01 UTC
(In reply to Christopher Meng from comment #3)
> E: description-line-too-long C x2godesktopsharing is an X2Go add-on tool
> that allows a user to grant other X2Go users
> x2godesktopsharing.i686: E: non-standard-executable-perm
> /usr/bin/x2godesktopsharing 0775L
> x2godesktopsharing.i686: E: incorrect-fsf-address
> /usr/share/doc/x2godesktopsharing/COPYING

Fixed.

> x2godesktopsharing.i686: W: desktopfile-without-binary
> /usr/share/applications/x2godesktopsharing.desktop
> /usr/bin/x2godesktopsharing(See E#1)

This looks to be another bug in rpmlint - it can't handle a binary with full path in Exec, but that is allowed.

> 
> Once fixed, this will get approved.

Spec URL: http://www.cora.nwra.com/~orion/fedora/nx/x2godesktopsharing.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/nx/x2godesktopsharing-3.1.1.0-3.fc19.src.rpm

* Thu Aug 1 2013 Orion Poplawski <orion@cora.nwra.com> - 3.1.1.0-3
- Fix description formatting
- Install scripts with correct permissions
- Fix FSF address

Comment 5 Christopher Meng 2013-08-02 04:36:02 UTC
Congrats, APPROVED.

Comment 6 Orion Poplawski 2013-08-02 04:57:10 UTC
Thanks for the review.

New Package SCM Request
=======================
Package Name: x2godesktopsharing
Short Description: Share X2go desktops with other users
Owners: orion
Branches: f19 f18 el6
InitialCC:

Comment 7 Gwyn Ciesla 2013-08-02 12:01:45 UTC
Git done (by process-git-requests).

Comment 8 Orion Poplawski 2013-08-31 04:17:30 UTC
Checked in and built


Note You need to log in before you can comment on or make changes to this bug.